module.exports = {
  // 全角数字を半角数字に変換
  z2h: function(a) {
    return a.replace(/０/g, "0")
      .replace(/１/g, "1")
      .replace(/２/g, "2")
      .replace(/３/g, "3")
      .replace(/４/g, "4")
      .replace(/５/g, "5")
      .replace(/６/g, "6")
      .replace(/７/g, "7")
      .replace(/８/g, "8")
      .replace(/９/g, "9");
  },
  // 半角数字を漢数字に変換
  h2k: function(a) {

    if (a.match(/^([1-9])([0-9])([0-9])$/))
      return [{
        "1": "百",
        "2": "二百",
        "3": "三百",
        "4": "四百",
        "5": "五百",
        "6": "六百",
        "7": "七百",
        "8": "八百",
        "9": "九百"
      } [RegExp.$1], {
        "0": "",
        "1": "十",
        "2": "二十",
        "3": "三十",
        "4": "四十",
        "5": "五十",
        "6": "六十",
        "7": "七十",
        "8": "八十",
        "9": "九十"
      } [RegExp.$2], {
        "0": "",
        "1": "一",
        "2": "二",
        "3": "三",
        "4": "四",
        "5": "五",
        "6": "六",
        "7": "七",
        "8": "八",
        "9": "九"
      } [RegExp.$3]].join("");

    if (a.match(/^([1-9])([0-9])$/))
      return [{
        "1": "十",
        "2": "二十",
        "3": "三十",
        "4": "四十",
        "5": "五十",
        "6": "六十",
        "7": "七十",
        "8": "八十",
        "9": "九十"
      } [RegExp.$1], {
        "0": "",
        "1": "一",
        "2": "二",
        "3": "三",
        "4": "四",
        "5": "五",
        "6": "六",
        "7": "七",
        "8": "八",
        "9": "九"
      } [RegExp.$2]].join("");

    if (a.match(/^([0-9])$/))
      return [{
        "0": "〇",
        "1": "一",
        "2": "二",
        "3": "三",
        "4": "四",
        "5": "五",
        "6": "六",
        "7": "七",
        "8": "八",
        "9": "九"
      } [RegExp.$1]].join("");
    return a;
  },
  // 漢数字を半角数字に変換
  k2h: function(a) {
    if (a.match(/^[〇一二三四五六七八九]+$/))
      return a.replace(/〇/g, "0")
        .replace(/一/g, "1")
        .replace(/二/g, "2")
        .replace(/三/g, "3")
        .replace(/四/g, "4")
        .replace(/五/g, "5")
        .replace(/六/g, "6")
        .replace(/七/g, "7")
        .replace(/八/g, "8")
        .replace(/九/g, "9");

    if (a.match(/^[百十一二三四五六七八九]+$/)) {
      let n = 0;
      if (a.match(/^百/)) a = "一" + a;
      if (a.match(/^([一二三四五六七八九])百(.*)$/)) {
        n += "〇一二三四五六七八九".indexOf(RegExp.$1) * 100;
        a = RegExp.$2;
      }
      if (a.match(/^十/)) a = "一" + a;
      if (a.match(/^([一二三四五六七八九])十(.*)$/)) {
        n += "〇一二三四五六七八九".indexOf(RegExp.$1) * 10;
        a = RegExp.$2;
      }
      if (a.match(/^([〇一二三四五六七八九])$/)) {
        n += "〇一二三四五六七八九".indexOf(RegExp.$1);
      }

      return n.toString();
    }

    return a;

  }
};
